Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229128 - spamassassin fails to create files in /tmp
Summary: spamassassin fails to create files in /tmp
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-17 17:41 UTC by Joe Bayes
Modified: 2007-11-30 22:11 UTC (History)
8 users (show)

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-21 15:42:49 UTC


Attachments (Terms of Use)

Description Joe Bayes 2007-02-17 17:41:40 UTC
The following appears in my spamassassin logfile whenever a mail arrives:

[2314] warn: util: secure_tmpfile failed to create file
'/tmp/.spamassassin2314OlxB8Wtmp': Permission denied
[2314] warn: util: secure_tmpfile failed to create file
'/tmp/.spamassassin2314WBWPZ7tmp': Permission denied
[2314] warn: util: secure_tmpfile failed to create file
'/tmp/.spamassassin2314BahtmFtmp': Permission denied
[2314] warn: util: secure_tmpfile failed to create file
'/tmp/.spamassassin2314uLK3LLtmp': Permission denied
[2314] warn: util: secure_tmpfile failed to create file
'/tmp/.spamassassin2314GcCsvAtmp': Permission denied
[2314] warn: util: secure_tmpfile failed to create file
'/tmp/.spamassassin23146TyGmitmp': Permission denied
[2314] warn: util: secure_tmpfile failed to create file
'/tmp/.spamassassin2314hdTOSmtmp': Permission denied
[2314] warn: util: secure_tmpfile failed to create file
'/tmp/.spamassassin2314C1oQPLtmp': Permission denied
[2314] warn: util: secure_tmpfile failed to create file
'/tmp/.spamassassin2314MmXR2dtmp': Permission denied
[2314] warn: util: secure_tmpfile failed to create file
'/tmp/.spamassassin2314e2CZlltmp': Permission denied
[2314] warn: util: secure_tmpfile failed to create file
'/tmp/.spamassassin2314I5i4motmp': Permission denied
[2314] warn: util: secure_tmpfile failed to create file
'/tmp/.spamassassin2314xMfhoOtmp': Permission denied
[2314] warn: util: secure_tmpfile failed to create file
'/tmp/.spamassassin2314Ie5f70tmp': Permission denied
[2314] warn: util: secure_tmpfile failed to create file
'/tmp/.spamassassin2314tjeSFxtmp': Permission denied
[2314] warn: util: secure_tmpfile failed to create file
'/tmp/.spamassassin2314Of9zE8tmp': Permission denied
[2314] warn: util: secure_tmpfile failed to create file
'/tmp/.spamassassin23145ToCChtmp': Permission denied
[2314] warn: util: secure_tmpfile failed to create file
'/tmp/.spamassassin2314vjUqeptmp': Permission denied
[2314] warn: util: secure_tmpfile failed to create file
'/tmp/.spamassassin2314adUyVrtmp': Permission denied
[2314] warn: util: secure_tmpfile failed to create file
'/tmp/.spamassassin23146yZn6jtmp': Permission denied
[2314] warn: util: secure_tmpfile failed to create file
'/tmp/.spamassassin2314l1bMPxtmp': Permission denied
[2314] warn: print() on closed filehandle $tmpfile at /usr/bin/spamassassin line
332, <STDIN> chunk 1.
[2314] warn: archive-iterator: unable to open /tmp/.spamassassin2314l1bMPxtmp:
Permission denied
procmail: Program failure (1) of "/usr/bin/spamassassin"
procmail: Rescue of unfiltered data succeeded
From linden@matrixoz.com.au  Sat Feb 17 09:20:15 2007
 Subject: on earthin
  Folder: mbox.SPOOL							   1719

The message, of course, does not get tagged as spam or ham as it should.

This problem occurs with spamassassin-3.1.8-1.fc6. It did not occur with my
previous version of spamassassin (which I think was 3.1.7something). 

I would be willing to try to isolate this problem further, but I'm not sure what
to do as I don't understand what could possibly keep spamassassin from writing
to /tmp. I have already cleared /tmp and done a fixfiles /tmp and rebooted, but
the problem still occurs. 

spoo:~$ ls -al /tmp
total 72
drwxrwxrwt  8 root   root   4096 Feb 17 09:33 .
drwxr-xr-x 23 root   root   4096 Feb 17 09:08 ..
drwxrwxrwt  2 root   root   4096 Feb 17 09:07 .ICE-unix
-r--r--r--  1 root   jbayes   11 Feb 17 09:09 .X0-lock
drwxrwxrwt  2 root   jbayes 4096 Feb 17 09:09 .X11-unix
drwxrwxrwt  2 root   root   4096 Feb 17 09:08 .font-unix
drwx------  2 jbayes jbayes 4096 Feb 17 09:12 flashgot.default.ger
drwx------  3 jbayes jbayes 4096 Feb 17 09:12 gconfd-jbayes
drwx------  2 jbayes jbayes 4096 Feb 17 09:12 orbit-jbayes
spoo:~$

Comment 1 David Juran 2007-02-18 16:20:14 UTC
If I'm not mistaken, this something that crept into selinux-policy-2.4.6-37.fc6
and is now fixed in selinux-policy-2.4.6-40.fc6 in updates-testing

Comment 2 Joe Bayes 2007-02-18 17:25:39 UTC
Upgrading selinux-policy did the trick. Thanks very much for the help.

Seems like every time something breaks these days, it's an selinux problem. Hmpf. 

Comment 4 Daniel Walsh 2007-02-21 15:42:49 UTC
It is out now.

This is a common misconception about selinux policy.  selinux policy releases
are almost assuredly not breaking things.   Either the problem has been there
all along or an update to the confined application now is not allowed by current
policy.  The owners of packages should always test with SELinux in enforcing
mode, and try to catch problems before they update packages.

Comment 5 Richi Plana 2007-02-22 19:35:07 UTC
I'm having a similar problem but with FC5. The odd thing is the problem only
surfaces when I switch to spamassassin 3.1.8-[12] (the 2 updates I've tried).
spamassassin-3.1.7-5 and previous were all alright. Should I open a new bug
report for FC5? Should it be against spamassassin or selinux-policy?

To satisfy my curiosity, could someone tell me why it only happens with the
version change to spamassassin 3.1.8?


Note You need to log in before you can comment on or make changes to this bug.